%define module_name Neo4j-Client
# BEGIN SourceDeps(oneline):
BuildRequires: libssl-devel perl(Config.pm) perl(ExtUtils/CChecker.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir.pm) perl(IPC/Run.pm) perl(Pod/Usage.pm) perl(Test/Exception.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.21
Release: alt2
Summary: Build and use the libneo4j-client library
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MAJENSEN/%{module_name}-%{version}.tar.gz

%description
Chris Leishman's
libneo4j-client is a C
library for communication with a Neo4j (<v4.0) server via the Bolt
protocol. Installing this module will attempt to build the (static)
library on your machine (particularly for the use of
the Neo4j::Bolt manpage). It will build with TLS support if OpenSSL
libraries/includes are found.

Use the (fully qualified) `$Neo4j::Client::LIBS' and `$Neo4j::Client::CCFLAGS'
to fold the library in to compilation and linking.

The script `neoclient.pl' will provide these on the command line.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_archlib/auto/*
%perl_vendor_archlib/N*
%files scripts
%_bindir/*

%changelog
* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.21-alt2
- rebuild with perl 5.34.0

* Thu Dec 24 2020 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1
- updated by package builder

* Sun Dec 20 2020 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.17-alt2
- rebuild with perl 5.30

* Thu Jun 04 2020 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1
- initial import by package builder

